$(document).ready( function(){
var kliked = false;

$(".frame").hide();
$(".submenu").hide();

$("a.odkaz").click( function(){
   
    var tridy = $(this).attr("class")
      .split(/\s+/)
      .map(function(c) { return c.trim(); })
      .filter( function(c) 
        { return c != 'odkaz'; });
    console.log(tridy);
    if (tridy.length != 1)
      console.error(tridy);
    SendMessage("_Manager", "FocusOnObject", tridy[0]);
});

$(".frameFull").click( function(){
    if(kliked){
        $(".unity").show();
        $(".wiki").removeClass("large-12 medium-12");
        $(".wiki").addClass("large-6 medium-6");
        $(".fullimg").attr('src', 'img/fullscreen.png');
        kliked = false;
        //return false;
    } else {
       $(".unity").hide();
       $(".wiki").addClass("large-12 medium-6");
       $(".fullimg").attr('src', 'img/fullscreenC.png');

       kliked = true;
    }

});

var showFrame = function(url) {
  $(".disclaimer").hide();
  $(".frame").show();
  $(".frame").attr("src", url);
};
window.showFrame = showFrame; //global

var showSubmenu = function(cls) {
  $('.submenu').hide();
  if (cls)
    $('.submenu.' + cls).show();
};

var showFrame2 = function(url) {
  $(".disclaimer").hide();
  $(".frame").show();
  $(".frame").attr("src", url);

  switch(url) {
        case "https://cs.wikipedia.org/wiki/Merkur_(planeta)":
             showSubmenu(null);
             showFrame('https://cs.wikipedia.org/wiki/Merkur_(planeta)');
             break;

         case "https://cs.wikipedia.org/wiki/Venuše_(planeta)":
             showSubmenu(null);
             showFrame('https://cs.wikipedia.org/wiki/Venuše_(planeta)');
             break;   

         case "https://cs.wikipedia.org/wiki/Země":
             showSubmenu('zeme');
             showFrame('https://cs.wikipedia.org/wiki/Země');
             break; 

         case "https://cs.wikipedia.org/wiki/Mars_(planeta)":
             showSubmenu('mars');
             showFrame('https://cs.wikipedia.org/wiki/Mars_(planeta)');
             break; 

         case "https://cs.wikipedia.org/wiki/Jupiter_(planeta)":
             showSubmenu('jupiter');
             showFrame('https://cs.wikipedia.org/wiki/Jupiter_(planeta)');
             break; 

         case "https://cs.wikipedia.org/wiki/Saturn_(planeta)":
             showSubmenu('saturn');
             showFrame('https://cs.wikipedia.org/wiki/Saturn_(planeta)');
             break; 
         case "https://cs.wikipedia.org/wiki/Uran_(planeta)":
             showSubmenu('uran');
             showFrame('https://cs.wikipedia.org/wiki/Uran_(planeta)');
             break; 
         case "https://cs.wikipedia.org/wiki/Neptun_(planeta)":
             showSubmenu('neptun');
             showFrame('https://cs.wikipedia.org/wiki/Neptun_(planeta)');
             break;         
        }
};
window.showFrame2 = showFrame2; //global




$("a.mercury").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_mercury");
  showFrame("https://cs.wikipedia.org/wiki/Merkur_%28planeta%29");
  showSubmenu(null);
});

$("a.venuse").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_venus");
  showFrame("https://cs.wikipedia.org/wiki/Venu%C5%A1e_%28planeta%29");
  showSubmenu(null);
});

$("a.zeme").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_earth");
  showSubmenu('zeme');
  showFrame("https://cs.wikipedia.org/wiki/Zem%C4%9B");
});

$("a.mars").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_mars");
  showSubmenu('mars');
  showFrame("https://cs.wikipedia.org/wiki/Mars_%28planeta%29");
});

$("a.jupiter").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_jupiter");
  showSubmenu('jupiter');
  showFrame("https://cs.wikipedia.org/wiki/Jupiter_%28planeta%29");
});

$("a.saturn").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_saturn");
  showSubmenu('saturn');
  showFrame("https://cs.wikipedia.org/wiki/Saturn_%28planeta%29");
});

$("a.uran").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_uran");
  showSubmenu('uran');
  showFrame("https://cs.wikipedia.org/wiki/Uran_%28planeta%29");
});

$("a.neptun").click( function(){
  SendMessage("_Manager", "LoadNewSceneFromWeb", "_neptun");
  showSubmenu('neptun');
  showFrame("https://cs.wikipedia.org/wiki/Neptun_%28planeta%29");
});

})